package cz.moneta.test.dsl.util.task.auto.smartauto.others;

import cz.moneta.test.dsl.Harness;
import cz.moneta.test.dsl.auto.smartauto.CustomerPage;
import cz.moneta.test.dsl.auto.smartauto.NewCalculationPage;
import cz.moneta.test.dsl.auto.smartauto.OthersPage;
import cz.moneta.test.dsl.auto.smartauto.VehiclePage;

import java.util.function.Function;

public class SaveTasks {

    private final Harness harness;

    public SaveTasks(Harness harness) {
        this.harness = harness;
    }

    public Function<NewCalculationPage, NewCalculationPage> saveNewCalculationPage() {
        return start -> start.clickSaveCalculation();
    }

    public Function<OthersPage, OthersPage> saveOthersPage() {
        return start -> start.clickSaveCalculation();
    }

    public Function<VehiclePage, VehiclePage> saveVehiclePage() {
        return start -> start.clickSaveCalculation();
    }

    public Function<CustomerPage, CustomerPage> saveCustomerPage() {
        return start -> start.clickSaveCalculation();
    }
}